MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022323Community[OCCT] OCCT:Modeling Algorithmspublic2011-03-15 17:562013-04-29 15:22
Reporterszy 
Assigned Toomy 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0022323: MakeThickSolid raises Construction exception on cylinder
DescriptionBRepOffsetAPI_MakeThickSolid raises exception on simple cylinder:

Draw[43]> pcyl cy 100 200
Draw[44]> explo cy F
cy_1 cy_2 cy_3
Draw[45]> shell cy cy_2
An exception was caught 0054397C : Standard_ConstructionError:
BRepOffset_MakeOffset : Incorrect set of faces to remove, the remaining shell is
not connected
** Exception ** 0054397C : Standard_ConstructionError: BRepOffset_MakeOffset :
Incorrect set of faces to remove, the remaining shell is not connected
TagsNo tags attached.
Test case numberbugs modalg(006) bug22323
Attached Filesgz file icon jgv-OCC22323-v1.tar.gz (1,695 bytes) 2011-05-26 12:31
? file icon script.tcl (138 bytes) 2011-05-26 13:08

- Relationships

-  Notes
(0023007)
omy (developer)
2013-01-17 16:21

Dear BugMaster,
Fix is applied. Please, review and close the issue.
(0023141)
szy (administrator)
2013-01-25 11:34

Reviewed.
(0023363)
mkv (tester)
2013-02-15 16:50

Dear BugMaster,

Branch CR22323 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 493909f01b71e4b3b7d6da3bb194190505776605

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 57 (57 on master)

products component :
Linux: 9 (9 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs modalg(006) bug22323 - OK.

Testing on Linux:
Total MEMORY difference: 218124168 / 217607044
Total CPU difference: 7688.150000000338 / 9350.92000000045

Testing on Windows:
Total MEMORY difference: 306920720 / 306641604
Total CPU difference: 11669.515625 / 11644.5625

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master cf5195b8
Timestamp: 2013-02-22 09:56:00
Author: omy
Details ] Diff ]
0022323: MakeThickSolid raises Construction exception on cylinder.

Removed BRepTest/BRepTest_ShellCommands.cxx from OCCT.
Added test case for bug 22323. It is placed in bugs/modalg.
mod - src/BRepTest/BRepTest.cdl Diff ] File ]
mod - src/BRepTest/BRepTest.cxx Diff ] File ]
rm - src/BRepTest/BRepTest_ShellCommands.cxx Diff ] File ]
mod - src/BRepTest/FILES Diff ] File ]
add - tests/bugs/modalg/bug22323 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-04-06 18:33 bugmaster Status closed => assigned
2011-04-06 18:33 bugmaster Resolution suspended => @0@
2011-04-06 19:07 bugmaster Assigned To bugmaster => szy
2011-04-08 10:30 szy Assigned To szy => jgv
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2012-10-19 13:06 jgv Assigned To jgv => omy
2012-10-24 17:05 abv Fixed in Version EMPTY =>
2012-10-24 17:05 abv Target Version => 6.6.0
2012-10-24 17:05 abv Description Updated View Revisions
2013-01-17 16:21 omy Note Added: 0023007
2013-01-17 16:21 omy Assigned To omy => szy
2013-01-17 16:21 omy Status assigned => resolved
2013-01-25 11:34 szy Note Added: 0023141
2013-01-25 11:34 szy Assigned To szy => mkv
2013-01-25 11:34 szy Status resolved => reviewed
2013-02-15 16:50 mkv Note Added: 0023363
2013-02-15 16:51 mkv Test case number => bugs modalg(006) bug22323
2013-02-15 16:51 mkv Assigned To mkv => bugmaster
2013-02-15 16:51 mkv Status reviewed => tested
2013-02-26 10:00 omy Changeset attached => occt master cf5195b8
2013-02-26 10:00 omy Assigned To bugmaster => omy
2013-02-26 10:00 omy Status tested => verified
2013-02-26 10:00 omy Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:22 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker